//module ballv(vertical_sync, pixel_row, pixel_column, Red_Data, Green_Data, Blue_Data,ball_on);
module ball(clk,red_out,green_out,blue_out,horiz_sync,vertical_sync);
input clk;
wire red_in, green_in, blue_in;
output red_out, green_out, blue_out;
output horiz_sync, vertical_sync;
reg ball_on;

parameter size = 8;
parameter screen_height = 480;


wire [9:0] x_pos = 320;
reg [9:0] y_pos;
reg [9:0] y_motion;
reg [9:0] pixel_row;
reg [9:0] pixel_column;

vga_sync VGA(clk, red_in, green_in, blue_in, red_out, green_out, blue_out, horiz_sync, vertical_sync, pixel_row, pixel_column);

// Turn off green and blue when displaying ball
assign red_in =  1'b1;
assign green_in = ~ball_on;
assign blue_in = ~ball_on;

// Turn off LED display decimal points
//assign LSB_dp = 1'b1;
//assign MSB_dp = 1'b1;

// display ball row in LEDs
//assign MSB = y_pos(7:4));
//assign LSB = y_pos(3:0));

// display_ball
always @ (x_pos or y_pos)
 ball_on <= ( (x_pos <= (pixel_column + size)) && ((x_pos + size) >= pixel_column) && 
 (y_pos <= (pixel_row+size)) && ( (y_pos + size) >= pixel_row) )?  1'b1 : 1'b0 ;

// Move ball once every vertical sync
always @ (posedge vertical_sync)
begin
	if (y_pos > screen_height - size) y_motion <= -2;
	else if (y_pos<size) y_motion <= 2;
   	y_pos <= y_pos + y_motion;
end
endmodule
