module example2(PB1,PB2,clock,lsd,msd,lsd_dp,msd_dp);
input PB1, PB2, clock;
wire [3:0] A, B;
output [6:0] lsd,msd;
output lsd_dp, msd_dp;
wire OVR1,OVR2;
wire clk_1Mhz, clk_100Khz, clk_10Khz, clk_1Khz, clk_100hz, clk_10hz, clk_1hz;
wire PB1_debounced;

// instantiate counters
decimal_counter c1(A,OVR1,~PB1_debounced,PB2), c2(B,OVR2,OVR1,PB2);

// turn decimal points off
assign lsd_dp = 1'b1;
assign msd_dp = 1'b1;

// send counter output to seven-segment displays
hex_7seg seg1(A,lsd[0],lsd[1],lsd[2],lsd[3],lsd[4],lsd[5],lsd[6]);
hex_7seg seg2(B,msd[0],msd[1],msd[2],msd[3],msd[4],msd[5],msd[6]);

// use system clock
clock_divider u3(clock,PB2,clk_1Mhz, clk_100Khz, clk_10Khz, clk_1Khz, clk_100hz, clk_10hz, clk_1hz); 

// debounce PB1
debounce u4(PB1_debounced,PB1,clk_100hz);

endmodule
